/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2022/10/09 18:09:20
 */

import { createRouter, createWebHashHistory } from 'vue-router'

import Proxies from './views/proxies.vue'
import Rules from './views/rules.vue'
import Config from './views/config.vue'
import Connects from './views/connects.vue'
import Remote from './views/remote.vue'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/proxies',
      name: 'proxies',
      component: Proxies
    },
    {
      path: '/rules',
      name: 'rules',
      component: Rules
    },
    {
      path: '/connects',
      name: 'connects',
      component: Connects
    },
    {
      path: '/remote',
      name: 'remote',
      component: Remote
    },
    {
      path: '/config',
      name: 'config',
      component: Config
    }
  ]
})

export default router
